Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 852196 - Can't safely remove a USB removable hard drive
Can't safely remove a USB removable hard drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 16:07 EDT by bugsrus
Modified: 2015-07-13 13:35 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:45:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
detach external HDD patch (1.11 KB, patch)
2012-08-29 04:26 EDT, Lukáš Tinkl
no flags Details | Diff
Output from udisks --monitor-detail (19.90 KB, text/plain)
2012-08-29 15:09 EDT, bugsrus
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 270808 None None None Never

  None (edit)
Description bugsrus 2012-08-27 16:07:49 EDT
Description of problem:

When a removable USB hard drive is plugged in the device notifier widget displays the drive and, once it is mounted, puts a 'click to safely remove' icon next to it (as it does with USB memory sticks). Clicking this causes a popup saying it is safe to remove the device but the hard drive is left spinning so it is not safe to remove.
Version-Release number of selected component (if applicable): device notifier 1.0


How reproducible:


Steps to Reproduce:
1. Plug in a removable USB drive
2.Open it in file manager using the Device Notifier Widget
3.Remove the drive using the Device Notifier Widget
  
Actual results: message says drive is safe to remove but drive is not spun down

Expected results: would expect the drive to spin down ready for removal and to be able to do this without resorting to the command line


Additional info: udisks --detach does spin the drive down (this was installed already on my machine). Gnome-disk-utility does not work, there is no option to safely remove (am using KDE but this does work on Kubuntu)
see also https://bugs.launchpad.net/ubuntu/+bug/117713?comments=all
Comment 1 Lukáš Tinkl 2012-08-27 16:41:46 EDT
Please provide the output of the following:

$ rpm -q udisks

$ udisks --dump
Comment 2 Lukáš Tinkl 2012-08-27 16:53:43 EDT
Oh ye, and rpm -q kdelibs & kde-workspace would help too :]
Comment 3 bugsrus 2012-08-28 16:21:05 EDT
rpm -q udisks
udisks-1.0.4-6.fc17.x86_64

rpm -q kdelibs
kdelibs-4.8.5-1.fc17.x86_64

rpm -q kde-workspace
kde-workspace-4.8.5-2.fc17.x86_64


(sdb is the removable USB disk)
udisks --dump
========================================================================
Showing information for /org/freedesktop/UDisks/devices/dm_2d0
  native-path:                 /sys/devices/virtual/block/dm-0
  device:                      253:0
  device-file:                 /dev/dm-0
    presentation:              /dev/dm-0
    by-id:                     /dev/disk/by-id/dm-name-vg_peter-lv_swap
    by-id:                     /dev/disk/by-id/dm-uuid-LVM-DnTXQOqJW3KKtEz0ePzjd27vZD8SMKp0cysfdx03AJ8bX8rTRQl21jUExz4qL14O
    by-id:                     /dev/disk/by-uuid/004280b5-abc8-47dd-9da5-3e9c593e8400
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       1
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        5234491392
  block size:                  512
  job underway:                no
  usage:                       other
  type:                        swap
  version:                     2
  uuid:                        004280b5-abc8-47dd-9da5-3e9c593e8400
  label:                       
  drive:
    vendor:                    
    model:                     
    revision:                  
    serial:                    
    WWN:                       
    detachable:                0
    can spindown:              0
    rotational media:          Yes, unknown rate
    write-cache:               unknown
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 (unknown)
    if speed:                  (unknown)
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/UDisks/devices/dm_2d1
  native-path:                 /sys/devices/virtual/block/dm-1
  device:                      253:1
  device-file:                 /dev/dm-1
    presentation:              /dev/dm-1
    by-id:                     /dev/disk/by-id/dm-name-vg_peter-lv_root
    by-id:                     /dev/disk/by-id/dm-uuid-LVM-DnTXQOqJW3KKtEz0ePzjd27vZD8SMKp0b3h5REMpmTVpKP3slrvqA56o6qHkWW0R
    by-id:                     /dev/disk/by-uuid/45f5a645-25d5-4484-8a47-aa8d75b28254
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  1
  mount paths:             /
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       1
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        53687091200
  block size:                  512
  job underway:                no
  usage:                       filesystem
  type:                        ext4
  version:                     1.0
  uuid:                        45f5a645-25d5-4484-8a47-aa8d75b28254
  label:                       _Fedora-17-x86_6
  drive:
    vendor:                    
    model:                     
    revision:                  
    serial:                    
    WWN:                       
    detachable:                0
    can spindown:              0
    rotational media:          Yes, unknown rate
    write-cache:               unknown
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 (unknown)
    if speed:                  (unknown)
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/UDisks/devices/dm_2d2
  native-path:                 /sys/devices/virtual/block/dm-2
  device:                      253:2
  device-file:                 /dev/dm-2
    presentation:              /dev/dm-2
    by-id:                     /dev/disk/by-id/dm-name-vg_peter-lv_home
    by-id:                     /dev/disk/by-id/dm-uuid-LVM-DnTXQOqJW3KKtEz0ePzjd27vZD8SMKp0PD0KfEKV9yvHihhcLCS4uba08yyNE7zr
    by-id:                     /dev/disk/by-uuid/77c556e4-466b-453c-99a5-ca9a3a68ffd4
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  1
  mount paths:             /home
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       1
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        190924718080
  block size:                  512
  job underway:                no
  usage:                       filesystem
  type:                        ext4
  version:                     1.0
  uuid:                        77c556e4-466b-453c-99a5-ca9a3a68ffd4
  label:                       
  drive:
    vendor:                    
    model:                     
    revision:                  
    serial:                    
    WWN:                       
    detachable:                0
    can spindown:              0
    rotational media:          Yes, unknown rate
    write-cache:               unknown
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 (unknown)
    if speed:                  (unknown)
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sda
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda
  device:                      8:0
  device-file:                 /dev/sda
    presentation:              /dev/sda
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3263GSX_X9PFT30QT
    by-id:                     /dev/disk/by-id/wwn-0x5000039211708095
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        320072933376
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition table:
    scheme:                    mbr
    count:                     5
  drive:
    vendor:                    ATA
    model:                     TOSHIBA MK3263GSX
    revision:                  FG020C
    serial:                    X9PFT30QT
    WWN:                       5000039211708095
    detachable:                0
    can spindown:              1
    rotational media:          Yes, at 5400 RPM
    write-cache:               enabled
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 ata
    if speed:                  (unknown)
    ATA SMART:                 Updated at Tue 28 Aug 2012 09:03:01 PM BST
      overall assessment:      Good
===============================================================================
 Attribute       Current|Worst|Threshold  Status   Value       Type     Updates
===============================================================================
 raw-read-error-rate         100|100| 50   good    0           Pre-fail Online 
 throughput-performance      100|100| 50   good    0           Pre-fail Online 
 spin-up-time                100|100|  2   good    1.6 secs    Pre-fail Online 
 start-stop-count            100|100|  0    n/a    999         Old-age  Online 
 reallocated-sector-count    100|100| 10   good    0 sectors   Pre-fail Online 
 seek-error-rate             100|100| 50   good    0           Pre-fail Online 
 seek-time-performance       100|100| 50   good    0           Pre-fail Offline
 power-on-hours               92| 92|  0    n/a    149.3 days  Old-age  Online 
 spin-retry-count            119|100| 30   good    0           Pre-fail Online 
 power-cycle-count           100|100|  0    n/a    952         Old-age  Online 
 attribute-183               100|100|  1   good    0           Old-age  Online 
 end-to-end-error            100|100| 97   good    0           Pre-fail Online 
 attribute-185               100|100|  1   good    0           Old-age  Online 
 reported-uncorrect          100|100|  0    n/a    0 sectors   Old-age  Online 
 command-timeout             100| 99|  0    n/a    4           Old-age  Online 
 high-fly-writes             100|100|  1   good    0           Old-age  Online 
 airflow-temperature-celsius  57| 45| 45 FAIL_PAST 43C / 109F  Old-age  Online 
 g-sense-error-rate          100|100|  0    n/a    135         Old-age  Online 
 power-off-retract-count     100|100|  0    n/a    458759      Old-age  Online 
 load-cycle-count            100|100|  0    n/a    4843        Old-age  Online 
 reallocated-event-count     100|100|  0    n/a    0           Old-age  Online 
 current-pending-sector      100|100|  0    n/a    0 sectors   Old-age  Online 
 udma-crc-error-count        200|200|  0    n/a    0           Old-age  Online 

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sda1
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda1
  device:                      8:1
  device-file:                 /dev/sda1
    presentation:              /dev/sda1
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3263GSX_X9PFT30QT-part1
    by-id:                     /dev/disk/by-id/wwn-0x5000039211708095-part1
    by-id:                     /dev/disk/by-uuid/9632C77B32C75F3D
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        204583424
  block size:                  512
  job underway:                no
  usage:                       filesystem
  type:                        ntfs
  version:                     
  uuid:                        9632C77B32C75F3D
  label:                       SYSTEM
  partition:
    part of:                   /org/freedesktop/UDisks/devices/sda
    scheme:                    mbr
    number:                    1
    type:                      0x07
    flags:                     boot
    offset:                    1048576
    alignment offset:          0
    size:                      204583424
    label:                     
    uuid:                      

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sda2
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda2
  device:                      8:2
  device-file:                 /dev/sda2
    presentation:              /dev/sda2
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3263GSX_X9PFT30QT-part2
    by-id:                     /dev/disk/by-id/wwn-0x5000039211708095-part2
    by-id:                     /dev/disk/by-uuid/E4648163648138F6
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        69462489600
  block size:                  512
  job underway:                no
  usage:                       filesystem
  type:                        ntfs
  version:                     
  uuid:                        E4648163648138F6
  label:                       
  partition:
    part of:                   /org/freedesktop/UDisks/devices/sda
    scheme:                    mbr
    number:                    2
    type:                      0x07
    flags:                    
    offset:                    205632000
    alignment offset:          0
    size:                      69462489600
    label:                     
    uuid:                      

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sda3
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3
  device:                      8:3
  device-file:                 /dev/sda3
    presentation:              /dev/sda3
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3263GSX_X9PFT30QT-part3
    by-id:                     /dev/disk/by-id/wwn-0x5000039211708095-part3
    by-id:                     /dev/disk/by-uuid/bdc52fdb-4029-4f99-bd22-ea1991d7e618
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  1
  mount paths:             /boot
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        524288000
  block size:                  512
  job underway:                no
  usage:                       filesystem
  type:                        ext4
  version:                     1.0
  uuid:                        bdc52fdb-4029-4f99-bd22-ea1991d7e618
  label:                       
  partition:
    part of:                   /org/freedesktop/UDisks/devices/sda
    scheme:                    mbr
    number:                    3
    type:                      0x83
    flags:                    
    offset:                    69668438016
    alignment offset:          0
    size:                      524288000
    label:                     
    uuid:                      

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sda4
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda4
  device:                      8:4
  device-file:                 /dev/sda4
    presentation:              /dev/sda4
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3263GSX_X9PFT30QT-part4
    by-id:                     /dev/disk/by-id/wwn-0x5000039211708095-part4
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        1024
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition:
    part of:                   /org/freedesktop/UDisks/devices/sda
    scheme:                    mbr
    number:                    4
    type:                      0x05
    flags:                    
    offset:                    70192726016
    alignment offset:          0
    size:                      249880207360
    label:                     
    uuid:                      

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sda5
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda5
  device:                      8:5
  device-file:                 /dev/sda5
    presentation:              /dev/sda5
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3263GSX_X9PFT30QT-part5
    by-id:                     /dev/disk/by-id/wwn-0x5000039211708095-part5
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 08:33:01 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        249878806528
  block size:                  512
  job underway:                no
  usage:                       raid
  type:                        LVM2_member
  version:                     LVM2 001
  uuid:                        HLqKBy-MpF6-eHHD-c3D5-zlDL-6y6h-WMN7pE
  label:                       
  partition:
    part of:                   /org/freedesktop/UDisks/devices/sda
    scheme:                    mbr
    number:                    5
    type:                      0x8e
    flags:                    
    offset:                    70193774592
    alignment offset:          0
    size:                      249878806528
    label:                     
    uuid:                      

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sdb
  native-path:                 /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3/2-3:1.0/host6/target6:0:0/6:0:0:0/block/sdb
  device:                      8:16
  device-file:                 /dev/sdb
    presentation:              /dev/sdb
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3259GSX_10KGF51ZS
    by-id:                     /dev/disk/by-id/wwn-0x5000039246f06aee
    by-path:                   /dev/disk/by-path/pci-0000:00:1d.7-usb-0:3:1.0-scsi-0:0:0:0
  detected at:                 Tue 28 Aug 2012 09:12:10 PM BST
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 09:12:10 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        320072933376
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition table:
    scheme:                    mbr
    count:                     1
  drive:
    vendor:                    Toshiba
    model:                     TOSHIBA MK3259GSX
    revision:                  GK003U
    serial:                    10KGF51ZS
    WWN:                       5000039246f06aee
    detachable:                1
    can spindown:              1
    rotational media:          Yes, at 5400 RPM
    write-cache:               enabled
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 usb
    if speed:                  480000000 bits/s
    ATA SMART:                 Updated at Tue 28 Aug 2012 09:12:11 PM BST
      overall assessment:      Good
===============================================================================
 Attribute       Current|Worst|Threshold  Status   Value       Type     Updates
===============================================================================
 raw-read-error-rate         100|100| 50   good    0           Pre-fail Online 
 throughput-performance      100|100| 50   good    0           Pre-fail Offline
 spin-up-time                100|100|  1   good    1.7 secs    Pre-fail Online 
 start-stop-count            100|100|  0    n/a    80          Old-age  Online 
 reallocated-sector-count    100|100| 50   good    0 sectors   Pre-fail Online 
 seek-error-rate             100|100| 50   good    0           Pre-fail Online 
 seek-time-performance       100|100| 50   good    0           Pre-fail Offline
 power-on-hours              100|100|  0    n/a    3.7 days    Old-age  Online 
 spin-retry-count            101|100| 30   good    0           Pre-fail Online 
 power-cycle-count           100|100|  0    n/a    40          Old-age  Online 
 g-sense-error-rate          100|100|  0    n/a    0           Old-age  Online 
 power-off-retract-count     100|100|  0    n/a    8           Old-age  Online 
 load-cycle-count            100|100|  0    n/a    1293        Old-age  Online 
 temperature-celsius-2       100|100|  0    n/a    22C / 71.6F Old-age  Online 
 reallocated-event-count     100|100|  0    n/a    0           Old-age  Online 
 current-pending-sector      100|100|  0    n/a    0 sectors   Old-age  Online 
 offline-uncorrectable       100|100|  0    n/a    0 sectors   Old-age  Offline
 udma-crc-error-count        200|253|  0    n/a    0           Old-age  Online 
 disk-shift                  100|100|  0    n/a    0           Old-age  Online 
 loaded-hours                100|100|  0    n/a    1.8 days    Old-age  Online 
 load-retry-count            100|100|  0    n/a    0           Old-age  Online 
 load-friction               100|100|  0    n/a    0           Old-age  Online 
 load-in-time                100|100|  0    n/a    221 msec    Old-age  Online 
 head-flying-hours           100|100|  1   good    0           Pre-fail Offline

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sdb1
  native-path:                 /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3/2-3:1.0/host6/target6:0:0/6:0:0:0/block/sdb/sdb1
  device:                      8:17
  device-file:                 /dev/sdb1
    presentation:              /dev/sdb1
    by-id:                     /dev/disk/by-id/ata-TOSHIBA_MK3259GSX_10KGF51ZS-part1
    by-id:                     /dev/disk/by-id/wwn-0x5000039246f06aee-part1
    by-id:                     /dev/disk/by-uuid/abc472f6-e3c8-468a-adf9-de690f234040
    by-path:                   /dev/disk/by-path/pci-0000:00:1d.7-usb-0:3:1.0-scsi-0:0:0:0-part1
  detected at:                 Tue 28 Aug 2012 09:12:11 PM BST
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Tue 28 Aug 2012 09:12:11 PM BST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  1
  mount paths:             /media/PeterBackup
  mounted by uid:              1000
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        320070288384
  block size:                  512
  job underway:                no
  usage:                       filesystem
  type:                        ext3
  version:                     1.0
  uuid:                        abc472f6-e3c8-468a-adf9-de690f234040
  label:                       PeterBackup
  partition:
    part of:                   /org/freedesktop/UDisks/devices/sdb
    scheme:                    mbr
    number:                    1
    type:                      0x83
    flags:                    
    offset:                    32256
    alignment offset:          0
    size:                      320070288384
    label:                     
    uuid:                      

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sr0
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/ata2/host1/target1:0:0/1:0:0:0/block/sr0
  device:                      11:0
  device-file:                 /dev/sr0
    presentation:              /dev/sr0
    by-id:                     /dev/disk/by-id/ata-hp_DVDRAM_GT20L_M3Z9A835914
  detected at:                 Tue 28 Aug 2012 08:33:01 PM BST
  system internal:             0
  removable:                   1
  has media:                   0
    detects change:            1
    detection by polling:      1
    detection inhibitable:     1
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        0
  block size:                  0
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  drive:
    vendor:                    hp
    model:                     hp       DVDRAM GT20L
    revision:                  DC05
    serial:                    M3Z9A835914
    WWN:                       
    detachable:                0
    can spindown:              0
    rotational media:          Yes, unknown rate
    write-cache:               unknown
    ejectable:                 1
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                  optical_cd optical_cd_r optical_cd_rw optical_dvd optical_dvd_plus_r optical_dvd_plus_r_dl optical_dvd_plus_rw optical_dvd_r optical_dvd_ram optical_dvd_rw
    interface:                 scsi
    if speed:                  (unknown)
    ATA SMART:                 not available

========================================================================
Comment 4 Lukáš Tinkl 2012-08-29 04:26:53 EDT
Created attachment 607812 [details]
detach external HDD patch
Comment 5 Lukáš Tinkl 2012-08-29 04:27:56 EDT
Could you test the above patch if it fixes your problem, or do you need a test build?
Comment 6 Rex Dieter 2012-08-29 11:59:59 EDT
I submitted a patched kdelibs build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=351200

bugsrus, could you download/install that test build?
Comment 7 bugsrus 2012-08-29 15:08:37 EDT
Thanks Lukas for the patch and for the patched build Rex - I installed both kdelibs and kdelibs-common.
Tested before and after a reboot - still not spinning down the drive. Well actually it may be, momentarily, but it is spinning back up again immediately.
For the purpose of a test I did this
Ran udisks --monitor-detail
inserted the disk, clicked open in file manager from the device notifier. Closed file manager, and clicked the remove icon in device notifier. When the drive failed to spin down I then detached the drive with udisks

The output from udisks went to a text file which I will attach and hope is of some use
Comment 8 bugsrus 2012-08-29 15:09:49 EDT
Created attachment 607982 [details]
Output from udisks --monitor-detail
Comment 9 Lukáš Tinkl 2012-08-30 09:10:59 EDT
Do you have the automount option on in the device notifier? Because this is exactly what happens: after the eject is called, sdb1 disappears and immediately appears back... only after this the "detach" command is called and both sdb (the drive) and sdb1 (the partition) are removed completely.
Comment 10 bugsrus 2012-08-30 14:23:31 EDT
No, under Device Notifier Settings>Removable Devices 'enable automatic mounting of removable media' is not selected. The hard drive is not mounting automatically but, in device notifier, you have to select an action, such as open with file manager, before it mounts.
currently the only way to shut the drive down is to manually detach it using udisks.
Thanks for looking into this, much appreciated :-)
Comment 11 bugsrus 2013-01-30 14:22:32 EST
I have just upgraded to Fedora 18 and the only way to spin the removable hard drive down is the udisks --detach command.
The drive (none of my removable drives for that matter) does not auto mount and still does not spin down when the device notifier is used to remove the drive
Comment 12 Fedora End Of Life 2013-07-04 02:14:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Andre Robatino 2013-07-22 11:50:15 EDT
I saw this with F18. I clean installed F19 when it came out. Now I generally have to unmount several times because it tends to automatically remount. But when it finally does unmount for good, it automatically powers off. I have gnome-disk-utility-3.8.2-1.fc19.x86_64.
Comment 14 Fedora End Of Life 2013-08-01 13:45:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Jacob Welsh 2014-09-24 11:15:25 EDT
Still a problem in Fedora 20. udisks --detach doesn't help either: based on the sound of it, the disk spins down, then spins right back up again and the device notifier shows it in a popup. Can this be re-opened or do we need to report a new bug?
Comment 16 Lukáš Tinkl 2014-09-24 11:20:49 EDT
If udisks --detach doesn't work then a bug has to be filled against udisks
Comment 17 Jacob Welsh 2014-09-24 11:54:50 EDT
(In reply to Lukáš Tinkl from comment #16)
> If udisks --detach doesn't work then a bug has to be filled against udisks

Doesn't seem like a udisks problem: it does spin down, but then something, presumably KDE, probes it again. Like bugsrus I do not have automatic mounting enabled.

Note You need to log in before you can comment on or make changes to this bug.